Package: geb.waiting

## [Groovy] Interface WaitingSupport

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T>` | `T` | `waitFor(String waitPreset, Closure<T> block)` Uses the wait preset from the `configuration` with the given name to to wait for `block` to return a true value according to the Groovy Truth.
    `<T>` | `T` | `waitFor(Map params, String waitPreset, Closure<T> block)`
    `<T>` | `T` | `waitFor(Closure<T> block)` Uses the default wait from the `configuration` to wait for `block` to return a true value according to the Groovy Truth.
    `<T>` | `T` | `waitFor(Map params, Closure<T> block)`
    `<T>` | `T` | `waitFor(Double timeout, Closure<T> block)` Invokes `block` every Configuration.getDefaultWaitRetryInterval seconds, until it returns a true value according to the Groovy Truth, waiting at most `timeout` seconds.
    `<T>` | `T` | `waitFor(Map params, Double timeout, Closure<T> block)`
    `<T>` | `T` | `waitFor(Double timeout, Double interval, Closure<T> block)` Invokes `block` every `interval` seconds, until it returns a true value according to the Groovy Truth, waiting at most `timeout` seconds.
    `<T>` | `T` | `waitFor(Map params, Double timeout, Double interval, Closure<T> block)`

- - ### Method Detail

    - #### <T> T waitFor(String waitPreset, Closure<T> block)

      Uses the wait preset from the `configuration` with the given name to to wait for `block` to return a true value according to the Groovy Truth.

      throws:
        WaitTimeoutException if the block does not produce a true-ish value in time
      Parameters:
        `waitPreset` - the name of the wait preset in `configuration` to use
        `block` - what is to be waited on to return a true-ish value
      Returns:
        the true-ish return value from `block`
      See Also:
        Configuration.getWaitPreset

    - #### <T> T waitFor(Map params, String waitPreset, Closure<T> block)

    - #### <T> T waitFor(Closure<T> block)

      Uses the default wait from the `configuration` to wait for `block` to return a true value according to the Groovy Truth.

      throws:
        WaitTimeoutException if the block does not produce a true-ish value in time
      Parameters:
        `block` - what is to be waited on to return a true-ish value
      Returns:
        the true-ish return value from `block`
      See Also:
        Configuration.getDefaultWait

    - #### <T> T waitFor(Map params, Closure<T> block)

    - #### <T> T waitFor(Double timeout, Closure<T> block)

      Invokes `block` every Configuration.getDefaultWaitRetryInterval seconds, until it returns a true value according to the Groovy Truth, waiting at most `timeout` seconds.

      throws:
        WaitTimeoutException if the block does not produce a true-ish value in time
      Parameters:
        `timeout` - the number of seconds to wait for block to return (roughly)
        `block` - what is to be waited on to return a true-ish value
      Returns:
        the true-ish return value from `block`

    - #### <T> T waitFor(Map params, Double timeout, Closure<T> block)

    - #### <T> T waitFor(Double timeout, Double interval, Closure<T> block)

      Invokes `block` every `interval` seconds, until it returns a true value according to the Groovy Truth, waiting at most `timeout` seconds.

      throws:
        WaitTimeoutException if the block does not produce a true-ish value in time
      Parameters:
        `interval` - the number of seconds to wait between invoking `block`
        `timeout` - the number of seconds to wait for block to return (roughly)
        `block` - what is to be waited on to return a true-ish value
      Returns:
        the true-ish return value from `block`

    - #### <T> T waitFor(Map params, Double timeout, Double interval, Closure<T> block)